use crate::{asset::AssetId, storage, transaction, AccountId};

#[derive(thiserror::Error, Debug)]
pub enum Error {
    #[error("Transaction: {0}")]
    Transaction(#[from] transaction::Error),

    #[error("Storage: {0}")]
    Storage(#[from] storage::Error),

    #[error("Asset {0} is not defined")]
    AssetNotFound(AssetId),

    #[error("Not enough funds (asset {1}) for account {0}")]
    InsufficientBalance(AccountId, AssetId),
}
