use crate::{AccountId, Amount, Status, TransactionId};
use serde::Serialize;

#[derive(Clone, Debug, Eq, PartialEq, Serialize)]
pub struct PaymentId {
    pub transaction: TransactionId,
    pub position: usize,
}

impl ToString for PaymentId {
    fn to_string(&self) -> String {
        format!("{}:{}", self.transaction, self.position)
    }
}

#[derive(Clone, Debug, Eq, PartialEq, Serialize)]
pub struct Payment {
    pub id: PaymentId,
    pub to: AccountId,
    pub amount: Amount,
    #[serde(skip)]
    pub status: Status,
    #[serde(skip)]
    pub spent_by: Option<TransactionId>,
}
